org.eclipse.rdf4j.model.vocabulary

## Class RDF4J

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.RDF4J

-     public class RDF4J
      extends Object

  Defines constants for the RDF4J namespace. These constants include things like implementation-specific named graph identifiers or properties.
  Author:
    Jeen Broekstra

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAMESPACE` The RDF4J namespace ( `http://rdf4j.org/schema/rdf4j#`).
    `static IRI` | `NIL` The SPARQL default context identifier ( `http://rdf4j.org/schema/rdf4j#nil`)
    `static Namespace` | `NS` An immutable `Namespace` constant that represents the RDF4J namespace.
    `static String` | `PREFIX` Recommended prefix for the RDF4J namespace: "rdf4j"
    `static IRI` | `SHACL_SHAPE_GRAPH` Context identifier for persisting SHACL shape data in the `ShaclSail` .
    `static IRI` | `TRUNCATED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RDF4J()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The RDF4J namespace ( `http://rdf4j.org/schema/rdf4j#`).
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      Recommended prefix for the RDF4J namespace: "rdf4j"
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the RDF4J namespace.

    - #### SHACL_SHAPE_GRAPH

          public static final IRI SHACL_SHAPE_GRAPH

      Context identifier for persisting SHACL shape data in the `ShaclSail` . `http://rdf4j.org/schema/rdf4j#SHACLShapeGraph`

    - #### TRUNCATED

          public static final IRI TRUNCATED

    - #### NIL

          public static final IRI NIL

      The SPARQL default context identifier ( `http://rdf4j.org/schema/rdf4j#nil`)
      Since:
        3.3.2

  - ### Constructor Detail

    - #### RDF4J

          public RDF4J()

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.